// vim: set tw=80 ts=2 sw=2 sts=2:
import { Component, Input, ViewChild } from '@angular/core';

import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
//import { jqxWindowComponent } from 'jqwidgets-scripts/jqwidgets-ts/angular_jqxwindow';
import { jqxButtonComponent } from 'jqwidgets-scripts/jqwidgets-ts/angular_jqxbuttons';

import { Login } from './login';
import { LoginFormComponent } from './loginForm.component';

@Component({
  selector: 'login-modal',
  templateUrl: './loginModal.component.html'
})
export class LoginModalComponent {
  @ViewChild('loginForm') loginForm: LoginFormComponent;

  constructor(private activeModal: NgbActiveModal) {
    
  }

  submit(): void {
    let formModel = this.loginForm.form.value;
    let login: Login = new Login();

    login.email = formModel.email;
    login.password = formModel.password;

    this.activeModal.close(login);
  }

  cancel(): void {
    this.activeModal.dismiss("closed");
  }
}
